
Redmine - Defect #10071

Redmine Administrator is limited by roles, memberships and workflows

2012-01-26 18:18 - Adam Piotr Żochowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Scenario:

User leaves company.  All their issues that are open and ones that were closed in last 2 weeks need to be reassigned with a custom

status. As administrator I try to change status and I am told I don't have permissions.  Now I have to add myself to project, only to

change status, and then remove myself from project.  And I have to do that many times from many different projects.

Solutions:

For Redmine administrators allow all actions, give warning if they do something that is outside of typical use (like changing status

outside of typical workflow).

Kind regards

Adam Zochowski

Related issues:

Is duplicate of Redmine - Feature #2323: Workflow permissions for administrators Closed 2008-12-12

History

#1 - 2012-01-26 19:39 - Alex Shulgin

This bugs me as well.

Not sure about workflows, but it is very reasonable that admin users should be able to act on projects regardless of the membership.

#2 - 2012-01-26 21:38 - Jean-Philippe Lang

- Category set to Issues workflow

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #2323, which has just been fixed.
